import { jsx } from "react/jsx-runtime";
import { FilmReelIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const FilmReel = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "FilmReel", ...props, children: /* @__PURE__ */ jsx(FilmReelIcon, { weight: variant }) });
  }
);
FilmReel.displayName = "FilmReel";
Object.assign(FilmReel, { isGdsIcon: true });
export {
  FilmReel
};
